Class | Photo
In: | app/models/photo.rb
Parent: | ActiveRecord::Base

Clase para las fotos de la fototeca

### Methods

can_be_read_by? published? show_in_agencia show_in_irekia tags_for_ferret version

### Included Modules

PhotoPaths FerretMethods

### External Aliases

tags_for_ferret | -> | tags_for_ferret_orig

### Attributes

dir_path | [RW] | Para poder validar que al importar las fotos ponen un directorio sin espacios ni tildes

### Public Instance methods

can_be_read_by?(user)

Indica si el usuario user puede ver el video. Sólo se usa en las búsquedas.

[Source]

        # File app/models/photo.rb, line 53
    53:   def can_be_read_by?(user)
    54:     published?
    55:   end

published?()

Las fotos siempre están publicadas. Necesitamos el campo para Ferret

[Source]

        # File app/models/photo.rb, line 48
    48:   def published?
    49:     true
    50:   end

show_in_agencia()

Indica si se muestra en Agencia. Sólo se usa en las búsquedas

[Source]

        # File app/models/photo.rb, line 43
    43:   def show_in_agencia
    44:     false
    45:   end

show_in_irekia()

Indica si se muestra en Irekia. Sólo se usa en las búsquedas

[Source]

        # File app/models/photo.rb, line 38
    38:   def show_in_irekia
    39:     true
    40:   end

tags_for_ferret()

Lista de tags par indexar. Además de los tags, incluye la ciudad, provincia y país

[Source]

        # File app/models/photo.rb, line 61
    61:   def tags_for_ferret
    62:     tags = tags_for_ferret_orig
    63:     tags << " #{city}" unless city.nil?
    64:     tags << " #{province_state}" unless province_state.nil?
    65:     tags << " #{country}" unless country.nil?
    66:   end

version(size=:small, path=:absolute)

Devuelve la versión de tamaño size de la foto actual

[Source]

        # File app/models/photo.rb, line 25
    25:   def version(size=:small, path=:absolute)
    26:     if Photo::PHOTOS_SIZES.keys.include?(size)
    27:       version_path = "#{File.dirname(self.file_path)}/#{size}/#{File.basename(self.file_path)}"
    28:     else
    29:       version_path = self.file_path
    30:     end
    31:     return Photo::PHOTOS_URL + version_path
    32:   end

[Validate]